"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aggregate_1 = require("../model/aggregate");
class Boundary {
    constructor(boundedContextInterface) {
        this.type = "Boundary";
        this.aggregates = boundedContextInterface.aggregates
            .map((aggregate) => new aggregate_1.default(undefined, aggregate));
        this.name = boundedContextInterface.name;
        this.description = boundedContextInterface.description || "";
        this.domainModel = boundedContextInterface.domainModel;
        this.id = boundedContextInterface.id || 0;
        this.title = boundedContextInterface.title || "";
    }
}
exports.default = Boundary;
//# sourceMappingURL=boundary.js.map