import { Rule } from "./rule";
import { FactInterface, PathMappingInterface } from "omni.interfaces";
import { DataType } from "omni.interfaces/types";
export default class Fact implements FactInterface {
    name?: string;
    path?: string;
    rule?: Rule;
    rules?: Rule[];
    pathMapping: PathMappingInterface[];
    expectedFacts: string[];
    dataType: DataType;
    type: "Fact";
    sampleValue: any;
    enumerations?: string[];
    documentation?: string;
    constructor(fact: FactInterface);
    getPath(name: string): string;
}
