import { PathMappingInterface, RuleInterface } from "omni.interfaces";
import { DataType, RuleBehaviour } from "omni.interfaces/types";
export declare class Rule implements RuleInterface {
    id: number | undefined;
    name: string;
    aliases: string[] | undefined;
    title?: string;
    description: string | undefined;
    sampleValue: string | undefined;
    statedAs: string | undefined;
    dataType: DataType;
    behaviour: RuleBehaviour | undefined;
    type: "Rule";
    documentation?: string;
    constructor(ruleInterface: RuleInterface);
    expectedFacts(pathMapping?: PathMappingInterface[]): string[];
    getRule(): string;
    expected: boolean | undefined;
}
