import * as ESTree from "estree";
import { DataType } from "omni.interfaces/types";
export declare const space = " ";
export declare const commaSpace = ", ";
export declare const comma = ",";
export declare const specialKeywords: string[];
export declare const sampleValue: (dataType: DataType) => true | Date | "Sample" | 100 | undefined;
export declare const assert: (expr: boolean, message: string, code: string) => any;
export declare const getPath: (path: string) => string[];
export declare const addValueToJsonPath: (json: any, path: string, defaultValue: any, rootName?: string | undefined) => any;
export declare const assertValueForPath: (root: {}, paths: string[], testValue: any) => boolean;
export declare const findUsedBomVariablesInCode: (code: string, rootName: string) => string[];
export declare const extractUndeclaredVars: (ast: ESTree.Program | ESTree.BlockStatement) => string[];
export declare const extractUndeclaredVarsFromCode: (code: string) => string[];
export declare const formatCode: (code: string) => string;
export declare const getValueForPath: (root: {}, paths: string[]) => any;
export declare function guessTypeOf(value: any): "date" | "string" | "boolean" | "number" | "object" | "array" | "bigint";
